#include <Arduino.h>
#include <Receiver.cpp>
#include <../../Common/LED.cpp>
#include <../../Common/Variables.cpp>

void messageCallback(char *message);
Receiver _receiver(2, &messageCallback, 9);
LED _led(5, FADE_IN_DURATION, FADE_OUT_DURATION);

unsigned long lastSwitch = 0;

bool validateMessage(char* message){
	return strncmp("LED On: ", message, 8) == 0; //returns 0 on match
}

bool parseMessage(char* message){
	return validateMessage(message) && message[8] == '1';
}

void messageCallback(char* message){
	Serial.print("Message: ");
	Serial.println(message);

	parseMessage(message) ? _led.on() : _led.off();
}

void setup(){
	Serial.begin(9600);
	Serial.println("Starting...");
	_receiver.setup();
	Serial.println("Started");
	_led.off();
	lastSwitch = millis();
}

void loop(){
	_receiver.loop();
	_led.loop();
}